# Michigan.Ods.Sdk.Models.EdFiAccountabilityRating
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | 
**RatingTitle** | **string** | The title of the rating (e.g., School Rating, Safety Score). | 
**EducationOrganizationReference** | [**EdFiEducationOrganizationReference**](EdFiEducationOrganizationReference.md) |  | 
**SchoolYearTypeReference** | [**EdFiSchoolYearTypeReference**](EdFiSchoolYearTypeReference.md) |  | 
**Rating** | **string** | An accountability rating level, designation, or assessment. | 
**RatingDate** | **DateTime?** | The date the rating was awarded. | [optional] 
**RatingOrganization** | **string** | The organization that assessed the rating. | [optional] 
**RatingProgram** | **string** | The program associated with the AccountabilityRating (e.g., NCLB, AEIS). | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

