# Michigan.Ods.Sdk.Profiles.SpecialEducationWithoutEarlyChildhood.Models.MIStudentEarlyLearningProgramAssociationWritable
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | 
**BeginDate** | **DateTime?** | The month, day, and year on which the Student first received services. | 
**EducationOrganizationReference** | [**MiEducationOrganizationReference**](MiEducationOrganizationReference.md) |  | 
**ProgramReference** | [**MiProgramReference**](MiProgramReference.md) |  | 
**StudentReference** | [**MiStudentReference**](MiStudentReference.md) |  | 
**EarlyLearningProgramServices** | [**List&lt;MiStudentEarlyLearningProgramAssociationEarlyLearningProgramServiceWritable&gt;**](MiStudentEarlyLearningProgramAssociationEarlyLearningProgramServiceWritable.md) | An unordered collection of studentEarlyLearningProgramAssociationEarlyLearningProgramServices. The student&#39;s program service information for early learning program. | [optional] 
**EligibilityReasons** | [**List&lt;MiStudentEarlyLearningProgramAssociationEligibilityReasonWritable&gt;**](MiStudentEarlyLearningProgramAssociationEligibilityReasonWritable.md) | An unordered collection of studentEarlyLearningProgramAssociationEligibilityReasons. Describes the reason why a child was found eligible for Early On. Providers may report at least one code and may report up to 22 codes per record. | [optional] 
**EndDate** | **DateTime?** | The month, day, and year on which the Student exited the Program or stopped receiving services. | [optional] 
**IndividualizedFamilyServicePlan** | [**MiStudentEarlyLearningProgramAssociationIndividualizedFamilyServicePlanWritable**](MiStudentEarlyLearningProgramAssociationIndividualizedFamilyServicePlanWritable.md) |  | [optional] 
**ReasonExitedDescriptor** | **string** | The reason the child left the Program within a school or district. | [optional] 
**ServedOutsideOfRegularSession** | **bool?** | Indicates whether the Student received services during the summer session or between sessions. | [optional] 
**Services** | [**List&lt;MiStudentEarlyLearningProgramAssociationServiceWritable&gt;**](MiStudentEarlyLearningProgramAssociationServiceWritable.md) | An unordered collection of studentEarlyLearningProgramAssociationServices. Indicates the Service(s) being provided to the Student by the Program. | [optional] 
**WorkingParents** | **bool?** | 1 &#x3D; parent(s) are working and unavailable to care for the child during program hours. This could include a parent attending school or working a night shift requiring sleep during the day.0 &#x3D; the parents are not working and available to provide care during program hours. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

