# Michigan.Ods.Sdk.Models.MiStudentAdultEducationProgramAssociation
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | 
**BeginDate** | **DateTime?** | The month, day, and year on which the Student first received services. | 
**EducationOrganizationReference** | [**EdFiEducationOrganizationReference**](EdFiEducationOrganizationReference.md) |  | 
**ProgramReference** | [**EdFiProgramReference**](EdFiProgramReference.md) |  | 
**StudentReference** | [**EdFiStudentReference**](EdFiStudentReference.md) |  | 
**AdultEdCountPeriodDescriptor** | **string** | The adult education reporting period during which the student participated in the program. | [optional] 
**AdultEdCountPeriodYear** | **int?** | The adult education reporting period year during which the student participated in the program | [optional] 
**AdultEdFundingDescriptor** | **string** | To indicate the funding source or sources through which the adult education program is provided. | [optional] 
**EligibilityExceptionDescriptor** | **string** | Indicates the exceptions made to allow program participation. | [optional] 
**EndDate** | **DateTime?** | The month, day, and year on which the Student exited the Program or stopped receiving services. | [optional] 
**EnrollmentPercent** | **double?** | The full-time equivalency (FTE) that the participant spends in the adult education program reported. | [optional] 
**ReasonExitedDescriptor** | **string** | The reason the child left the Program within a school or district. | [optional] 
**ServedOutsideOfRegularSession** | **bool?** | Indicates whether the Student received services during the summer session or between sessions. | [optional] 
**Services** | [**List&lt;MiStudentAdultEducationProgramAssociationService&gt;**](MiStudentAdultEducationProgramAssociationService.md) | An unordered collection of studentAdultEducationProgramAssociationServices. Indicates the Service(s) being provided to the Student by the Program. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

